/*-----------------------------------*\
  #main.css
\*-----------------------------------*/

/**
 * copyright 2026 ADITYA RAJ
 */

/*-----------------------------------*\
  #CUSTOM PROPERTY
\*-----------------------------------*/

:root {
  /**
   * colors
   */

  --cultured: hsla(0, 0%, 97%, 1);
  --french-bistre: hsla(31, 17%, 44%, 1);
  --jet: hsla(0, 0%, 20%, 1);
  --bistre: hsla(35, 100%, 9%, 1);
  --bistre_a75: hsla(35, 100%, 9%, 0.75);
  --camel: hsla(30, 30%, 58%, 1);
  --umber: hsla(31, 17%, 36%, 1);
  --golden-brown_a60: hsla(35, 70%, 38%, 0.6);
  --granite-gray: hsla(0, 0%, 38%, 1);
  --white: hsla(0, 0%, 100%, 1);
  --black: hsla(0, 0%, 0%, 1);

  /**
   * typography
   */

  --ff-rosario: "Rosario", sans-serif;
  --ff-poppins: "Poppins", sans-serif;

  --fs-1: 5rem;
  --fs-2: 4.2rem;
  --fs-3: 3rem;
  --fs-4: 2.6rem;
  --fs-5: 1.8rem;

  --fw-600: 600;
  --fw-700: 700;

  /**
   * spacing
   */

  --section-padding: 12rem;

  /**
   * box shadow
   */

  --shadow-1: 0px 0px 30px 0px hsla(0, 0%, 0%, 0.2);

  /**
   * border radius
   */

  --radius-circle: 50%;
  --radius-20: 20px;
  --radius-16: 16px;
  --radius-6: 6px;
  --radius-4: 4px;
  --btn-radius: 32px 6px;

  /**
   * transition
   */

  --transition-1: 0.25s ease;
  --transition-2: 0.5s ease;
  --cubic-in: cubic-bezier(0.51, 0.03, 0.64, 0.28);
  --cubic-out: cubic-bezier(0.05, 0.83, 0.52, 0.97);
}

/*-----------------------------------*\
  #RESET
\*-----------------------------------*/

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

li {
  list-style: none;
}

a,
img,
span,
button,
ion-icon {
  display: block;
}

a {
  color: inherit;
  text-decoration: none;
}

img {
  height: auto;
}

button {
  background: none;
  border: none;
  font: inherit;
  cursor: pointer;
}

ion-icon {
  pointer-events: none;
}

html {
  font-family: var(--ff-poppins);
  font-size: 10px;
  scroll-behavior: smooth;
}

body {
  background-color: var(--white);
  color: var(--granite-gray);
  font-size: 1.6rem;
  line-height: 1.6;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background-color: hsl(0, 0%, 98%);
}

::-webkit-scrollbar-thumb {
  background-color: hsl(0, 0%, 80%);
}

::-webkit-scrollbar-thumb:hover {
  background-color: hsl(0, 0%, 70%);
}

/*-----------------------------------*\
  #REUSED STYLE
\*-----------------------------------*/

.container {
  padding-inline: 16px;
}

.logo {
  color: var(--bistre);
  font-size: var(--fs-3);
  font-family: var(--ff-rosario);
}

.section {
  padding-block: var(--section-padding);
}

.h1 {
  font-size: var(--fs-1);
}

.h1,
.h2,
.h3,
.h4 {
  color: var(--bistre);
  font-family: var(--ff-rosario);
  font-weight: var(--fw-600);
  line-height: 1.3;
}

.h1 .span {
  color: var(--french-bistre);
}

.h2 {
  font-size: var(--fs-2);
}

.h3 {
  font-size: var(--fs-3);
}

.h4 {
  font-size: var(--fs-4);
}

.btn {
  background-color: var(--french-bistre);
  color: var(--white);
  display: flex;
  align-items: center;
  max-width: max-content;
  gap: 12px;
  min-height: 58px;
  padding-inline: 36px;
  border-radius: var(--btn-radius);
  transition: var(--transition-1);
}

.btn:is(:hover, :focus-visible) {
  background-color: var(--umber);
}

.img-holder {
  aspect-ratio: var(--width) / var(--height);
  background-color: var(--granite-gray);
  overflow: hidden;
}

.img-cover {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: var(--transition-2);
}

.text-center {
  text-align: center;
}

.grid-list {
  display: grid;
  gap: 60px;
}

.has-after {
  position: relative;
  z-index: 1;
}

.has-after::after {
  content: "";
  position: absolute;
}

.has-bg-image {
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

/*-----------------------------------*\
  #HEADER
\*-----------------------------------*/

.header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  box-shadow: var(--shadow-1);
  padding-block: 16px;
  background-color: var(--white);
  z-index: 4;
}

.header.active {
  position: fixed;
  animation: slideIn 0.5s ease forwards;
}

@keyframes slideIn {
  0% {
    transform: translateY(-100%);
  }
  100% {
    transform: translateY(0);
  }
}

.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav-open-btn {
  font-size: 3.5rem;
  color: var(--bistre);
}

.nav-open-btn ion-icon {
  --ionicon-stroke-width: 26px;
}

.navbar {
  position: absolute;
  top: 0;
  left: -350px;
  max-width: 350px;
  width: 100%;
  background-color: var(--cultured);
  height: 100vh;
  padding: 16px;
  z-index: 2;
  visibility: hidden;
  transition: 0.25s var(--cubic-in);
}

.navbar.active {
  visibility: visible;
  transform: translateX(350px);
  transition: 0.5s var(--cubic-out);
}

.nav-close-btn {
  margin-inline-start: auto;
  font-size: 2.4rem;
  border: 1px solid var(--bistre);
  color: var(--bistre);
  padding: 8px;
  border-radius: var(--radius-4);
  margin-block-end: 24px;
}

.navbar-link {
  padding-block: 10px;
  color: var(--black);
  transition: var(--transition-1);
}

.navbar-link:is(:hover, :focus-visible) {
  color: var(--french-bistre);
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: var(--black);
  z-index: 1;
  visibility: hidden;
  opacity: 0;
  transition: var(--transition-1);
}

.overlay.active {
  visibility: visible;
  opacity: 0.4;
}

/*-----------------------------------*\
  #HERO
\*-----------------------------------*/

.hero {
  padding-block-start: 150px;
}

.hero .container {
  display: grid;
  gap: 40px;
}

.hero-content {
  text-align: center;
}

.hero .section-text {
  margin-block: 20px 36px;
}

.hero .btn {
  margin-inline: auto;
  margin-block-end: 12px;
}

.hero .wrapper {
  position: relative;
  display: grid;
  row-gap: 40px;
}

.hero .img-holder {
  border-radius: var(--radius-20);
  max-width: max-content;
  margin-inline: auto;
}

.hero .hero-banner-1 {
  border-top-left-radius: 200px;
  border-top-right-radius: 200px;
}

.hero .hero-banner-2 {
  border-top-left-radius: 150px;
  border-bottom-right-radius: 50px;
}

.hero .shape {
  position: absolute;
  bottom: -10px;
  right: 0;
  width: 160px;
}

/*-----------------------------------*\
  #ABOUT
\*-----------------------------------*/

.about {
  background-color: var(--bistre);
  color: var(--white);
}

.about .container {
  display: grid;
  gap: 30px;
}

.about-banner {
  border-radius: var(--radius-16);
  max-width: max-content;
}

.about-banner-1 {
  border-bottom-right-radius: 120px;
}

.about .section-title {
  color: var(--white);
}

.about .wrapper .section-title {
  margin-block-start: 20px;
}

.about-banner-2 {
  border-top-right-radius: 100px;
  border-bottom-left-radius: 100px;
}

.about-content .section-title {
  margin-block-end: 20px;
}

.about .btn {
  margin-block: 30px;
}

.about-banner-3 {
  border-bottom-right-radius: 100px;
}

/*-----------------------------------*\
  #COLLECTION
\*-----------------------------------*/

.collection .section-text {
  margin-block: 20px 60px;
}

.collection-card .card-banner {
  border-radius: 250px 250px 20px 20px;
  max-width: max-content;
  margin-inline: auto;
}

.collection-card .card-title {
  margin-block: 20px;
}

.collection-card .btn {
  margin-inline: auto;
  margin-block-start: 24px;
}

/*-----------------------------------*\
  #FEATURES
\*-----------------------------------*/

.feature {
  background-color: var(--bistre);
  color: var(--white);
}

.feature-banner {
  min-height: 520px;
}

.feature-banner::after {
  inset: 0;
  background-color: var(--bistre);
  opacity: 0.4;
}

.feature .play-btn {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: var(--bistre_a75);
  padding: 32px;
  border-radius: var(--radius-circle);
  animation: pulse 2.5s ease-out infinite;
  z-index: 1;
}

@keyframes pulse {
  0%,
  75.1% {
    box-shadow: 0 0 0 0 var(--golden-brown_a60);
  }

  75% {
    box-shadow: 0 0 0 20px transparent;
  }
}

.feature :is(.h2, .h4) {
  color: var(--white);
}

.feature .section-text {
  margin-block: 30px;
}

.feature-list-card {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-block-end: 30px;
}

.feature-list-card .card-icon {
  background-color: var(--french-bistre);
  padding: 15px;
  padding-block-start: 20px;
  flex-shrink: 0;
  border-radius: var(--radius-6);
  border-top-left-radius: 40px;
}

.feature-list-card .card-title {
  margin-block-end: 12px;
}

/*-----------------------------------*\
  #TESTIMONIALS
\*-----------------------------------*/

.testi {
  padding-block-start: 160px;
}

.testi-card {
  position: relative;
  padding-inline: 36px;
}

.testi :is(.card-text, .client-name) {
  color: var(--bistre);
  font-family: var(--ff-rosario);
  line-height: 1.3;
}

.testi-card .card-text {
  font-size: var(--fs-3);
  margin-block-end: 40px;
}

.testi-card .client-name {
  font-size: var(--fs-5);
  font-weight: var(--fw-700);
}

.testi-card .icon {
  position: absolute;
  top: -80px;
  left: 0;
}

/*-----------------------------------*\
  #GALLERY
\*-----------------------------------*/

.gallery-card {
  height: 430px;
  padding: 20px;
  padding-block-start: 50px;
}

.gallery-card::after {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bistre);
  opacity: 0.5;
  z-index: -1;
  transition: var(--transition-1);
}

.gallery-card:is(:hover, :focus-within)::after {
  opacity: 0.7;
}

.gallery-card .card-content {
  display: grid;
  align-content: space-between;
  height: 100%;
}

.gallery-card .card-title {
  color: var(--white);
}

.gallery-card .btn-link {
  color: var(--white);
  display: flex;
  align-items: center;
  gap: 8px;
  transition: var(--transition-1);
}

.btn-link:is(:hover, :focus-visible) {
  color: var(--french-bistre);
}

/*-----------------------------------*\
  #BLOG
\*-----------------------------------*/

.blog .section-text {
  margin-block: 20px 36px;
}

.blog .grid-list {
  gap: 30px;
}

.blog-card .card-banner {
  border-radius: 50px 50px 0 0;
}

.blog-card .img-cover {
  will-change: transform;
}

.blog-card:is(:hover, :focus-within) .img-cover {
  transform: scale(1.05) rotate(2deg);
  opacity: 0.8;
}

.blog-card .card-content {
  padding: 10px;
}

.blog-card .card-title {
  margin-block: 8px 20px;
}

.blog-card :is(.card-meta, .card-meta-wrapper) {
  display: flex;
  align-items: center;
}

.blog-card .card-meta {
  flex-wrap: wrap;
  column-gap: 40px;
}

.blog-card .card-meta-wrapper {
  gap: 8px;
}

.blog-card .card-meta-wrapper ion-icon {
  color: var(--french-bistre);
}

.blog .btn {
  margin-block-start: 80px;
  margin-inline: auto;
}

/*-----------------------------------*\
  #FOOTER
\*-----------------------------------*/

.footer {
  background-color: var(--bistre);
  color: var(--white);
}

.footer-top {
  display: grid;
  gap: 30px;
  padding-block-end: 50px;
  border-block-end: 1px solid var(--french-bistre);
}

.footer .logo {
  color: var(--french-bistre);
  font-size: 3.2rem;
}

.footer-brand .footer-text {
  margin-block: 20px;
}

.social-list {
  display: flex;
  gap: 20px;
}

.social-link {
  color: var(--french-bistre);
  font-size: 1.8rem;
}

.footer-list-title {
  color: var(--french-bistre);
  font-family: var(--ff-rosario);
  font-size: 1.8rem;
  font-weight: var(--fw-700);
  margin-block-end: 20px;
}

.footer-link {
  padding-block: 7px;
}

.footer-list .footer-text {
  margin-block-end: 24px;
}

.footer-bottom {
  padding-block: 40px;
  text-align: center;
}

.copyright {
  color: var(--french-bistre);
  font-family: var(--ff-rosario);
  font-size: var(--fs-5);
}

/*-----------------------------------*\
  #MEDIA QUERIES
\*-----------------------------------*/

/**
 * responsive for large than 575px screen
 */

@media (min-width: 575px) {
  /**
   * REUSED STYLE
   */

  .container {
    max-width: 540px;
    width: 100%;
    margin-inline: auto;
  }
}

/**
 * responsive for large than 768px screen
 */

@media (min-width: 768px) {
  /**
   * CUSTOM PROPERTY
   */

  :root {
    /**
     * typography
     */

    --fs-1: 6.5rem;
  }

  /**
   * REUSED STYLE
   */

  .container {
    max-width: 720px;
  }

  .grid-list {
    grid-template-columns: 1fr 1fr;
    column-gap: 30px;
  }

  /**
   * HERO
   */

  .hero .wrapper {
    grid-template-columns: 0.8fr 1fr;
    align-items: flex-end;
    column-gap: 20px;
  }

  /**
   * GALLERY
   */

  .gallery-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  /**
   * FOOTER
   */

  .footer-top {
    grid-template-columns: 1fr 1fr;
  }
}

/**
 * responsive for large than 992px screen
 */

@media (min-width: 992px) {
  /**
   * CUSTOM PROPERTY
   */

  :root {
    /**
     * typography
     */

    --fs-2: 4.8rem;
    --fs-3: 3.5rem;
  }

  /**
   * REUSED STYLE
   */

  .container {
    max-width: 950px;
  }

  /**
   * HEADER
   */

  .nav-open-btn,
  .nav-close-btn,
  .overlay {
    display: none;
  }

  .header {
    padding-block: 20px;
  }

  .navbar,
  .navbar.active {
    all: unset;
    display: block;
  }

  .navbar-list {
    display: flex;
    gap: 40px;
  }

  .navbar-link {
    color: var(--bistre);
  }

  /**
   * HERO
   */

  .hero .container {
    grid-template-columns: 1fr 1fr;
  }

  .hero .wrapper {
    grid-template-columns: 0.6fr 1fr;
    align-items: flex-end;
    column-gap: 40px;
  }

  .hero-content {
    text-align: left;
  }

  .h1 .span {
    display: inline;
  }

  .hero .btn {
    margin-inline: 0;
  }

  /**
   * ABOUT
   */

  .about .container {
    grid-template-columns: repeat(3, 1fr);
    align-items: flex-start;
    gap: 50px;
  }

  .about .wrapper {
    align-self: flex-end;
    margin-inline-end: -140px;
  }

  .about-banner-1 {
    border-bottom-right-radius: var(--radius-16);
    border-top-left-radius: 120px;
  }

  .about-banner-3 {
    margin-block-start: 50px;
    margin-inline-start: -180px;
  }

  /**
   * COLLECTION
   */

  .collection .grid-list {
    grid-template-columns: repeat(3, 1fr);
  }

  /**
   * FEATURES
   */

  .feature {
    display: flex;
    align-items: stretch;
  }

  .feature-banner,
  .feature-content {
    width: 50%;
  }

  .feature-banner {
    min-height: 100%;
  }

  .feature-content {
    padding-inline: 80px;
  }

  /**
   * GALLERY
   */

  .gallery-list {
    grid-template-columns: repeat(4, 1fr);
  }

  .gallery-card {
    height: 560px;
    padding: 60px 40px;
  }
}

/**
 * responsive for large than 1200px screen
 */

@media (min-width: 1200px) {
  /**
   * REUSED STYLE
   */

  .container {
    max-width: 1250px;
  }

  /**
   * HERO
   */

  .hero {
    padding-block-start: 200px;
  }

  .hero .hero-banner-1 {
    margin-inline-start: -60px;
    margin-block-end: 60px;
  }

  /**
   * ABOUT
   */

  .about .container {
    gap: 70px;
  }

  .about .wrapper .section-title {
    margin-inline-end: -80px;
  }

  .about-banner-3 {
    margin-block-start: 60px;
  }

  /**
   * TESTIMONIALS
   */

  .testi .container {
    max-width: 680px;
  }

  /**
   * BLOG
   */

  .blog .grid-list {
    gap: 60px;
  }

  /**
   * FOOTER
   */

  .footer-top {
    grid-template-columns: 1fr 0.5fr 0.5fr 0.6fr;
  }

  .footer-brand {
    padding-inline-end: 60px;
  }
}
